Senders
Get a sender
Retrieve a sender by its ID to read its email address and current verification status, such as pending_verification, verified or failed.
Retrieves the details of a sender. Use this endpoint to check the current verification status of a sender after creation.
Path parameters
The unique identifier of the sender.
Returns
Returns a 200 OK status code and a sender object on success, or an error otherwise.
Verified sender
GET /v1/senders/send_4TFzIeLGP1RpfwWwhiSGX8 HTTP/1.1
Host: api.signatureapi.com
X-API-Key: YOUR_API_KEY{
"id": "send_4TFzIeLGP1RpfwWwhiSGX8",
"email": "legal@acme.example",
"status": "verified",
"created_at": "2026-11-02T14:03:11.000Z"
}{
"type": "https://signatureapi.com/docs/v1/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Could not find AllowedSender send_4TFzIeLGP1RpfwWwhiSGX8."
}Errors every call can return are in Errors and Authentication.